Support

Akeeba Backup for Joomla!

#35137 – #34922 Akeeba Frontend Framework (FEF)

Posted in ‘Akeeba Backup for Joomla!’
This is a public ticket. Everybody will be able to see its contents. Do not include usernames, passwords or any other sensitive information.
Monday, 26 April 2021 13:24 CDT
DaveOzric

Hello, since I used your download from this ticket #34922 I cannot update the Akeeba Frontend Framework (FEF). It's stuck and I can't uninstall it like the error message says to do. That produces a message that I need to remove the dependant programs.

What's the solution?

Thank you

Custom Fields

Joomla! version (in x.y.z format) 3.9.26
PHP version (in x.y.z format) 7.4
Akeeba Backup version (x.y.z format) 8.0.4
 
Tuesday, 27 April 2021 02:56 CDT
nicholas

None of that is a problem.

You can't "update" FEF because you already have a newer version. The one included in the dev release you installed came after all other published versions. FEF won't let you downgrade it. However, this is NOT a problem, it's how it's supposed to work.

Likewise, FEF doesn't let you uninstall it when there is other software depending on it e.g. Akeeba Backup, Admin Tools , Akeeba Ticket System and a number of our other software. If you uninstalled FEF it would break all that software.

So, you tried to do two things which would have broken your site and our software declined to let you do that. Therefore it worked just fine.

If you got this message while trying to update Akeeba Backup or Admin Tools please read the entire message. It tells you that if you see an error about FEF or FOF not being updated IT IS NOT AN ERROR AND YOU CAN IGNORE IT. (I have to stress this out, sorry) We'd really prefer it if Joomla would simply NOT show this message when we tell it not to downgrade or uninstall an extension but it's not under our control, it's under Joomla's control.



Nicholas K. Dionysopoulos

Lead Developer and Director



🇬🇷Greek: native

🇬🇧English: excellent

🇫🇷French: basic



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Tuesday, 27 April 2021 10:10 CDT
DaveOzric

Hello, I saw the messages and just thought it was strange the new version you released after the dev I got was not going to fix this update notification. So, the next version might be newer? I am asking if I am going to see this message for months, years, forever when I look at available updates? That's the part I am confused about. I understood the messages and that I could not uninstall it due to dependencies. Sorry, my question was phrased incorrectly.

 
Wednesday, 28 April 2021 06:06 CDT
nicholas

So, the next version might be newer?

I can't really answer that. It depends on whether we make a new FEF release before we make another Akeeba Backup, Admin Tools etc release. Chances are pretty low.

I am asking if I am going to see this message for months, years, forever when I look at available updates?

You'll see those until we publish a new FEF release. I honestly don't know how long will that be. We've put a lot of work to make sure that FEF has all the features we want it to have and it works great on all current browsers and PHP versions.

Maybe PHP 8.1 will have changes which necessitate making changes to FEF. Maybe new browser versions will require changes. Maybe a new Joomla version will necessitate changes. Maybe none of that happens. Since these release triggers are outside my control or any reasonable attempt at prediction all I can say is "I honestly have no idea when the next release will be".

Besides, we are moving towards deprecation of FOF and FEF in our software. Both of our frameworks were necessary because Joomla 1.5 through 3.10 did not have all the features we needed to realistically maintain complex software. This has changed with Joomla 4 which now includes a lot of what we were doing in our frameworks. Therefore future versions of our software for Joomla 4.0 and later will no longer have FEF and FOF. This makes it far less likely that we will add any features to FEF and FOF which makes it less likely that we'll push out a new release for either of them unless we have a good reason that's not under our control, i.e. if we need to make changes to cater for a new Joomla, PHP or browser version.



Nicholas K. Dionysopoulos

Lead Developer and Director



🇬🇷Greek: native

🇬🇧English: excellent

🇫🇷French: basic



Please keep in mind my timezone and cultural differences when reading my replies. Thank you!



Wednesday, 28 April 2021 10:54 CDT
DaveOzric

OK, I'll just ignore this for now. Sorry to waste your time. I was only wondering about the logic of a dev release with this as a dev version. I don't need to know why. Just confusing in some ways.

 
This ticket is closed, therefore read-only. You can no longer reply to it. If you need to provide more information, please open a new ticket and mention this ticket's number.

Support Information

Working hours: Typically we work Monday to Friday, 9am to 7pm Cyprus timezone (EEST). Support is provided by the same developers writing the software, all of which live in Europe. You can still file tickets, but we cannot respond to them, outside of our working hours.

Support policy: We would like to kindly inform you that when using our support you have already agreed to the Support Policy which is part of our Terms of Service. Thank you for your understanding and for helping us help you!